******************************
***** simple test module *****
******************************

.OPTION NOMOD BRIEF DLENCSDF=10 MEASDGT=10 POST


******************************
******** measurements ********
******************************

.tran 1n 302u

* discharge time (UNWICHTIG)
.MEAS tdischarge WHEN V(vvdd)=0.06 FALL=1

* charge time => time required for powering on a power domain
.MEAS tcharge WHEN V(vvdd)=1.14 RISE=2

* minimum voltage (UNGLAUBLICH UNWICHTIG)
.MEAS TRAN MinVVDD MIN V(vvdd) FROM=2us TO=300us

* peak current during powering on
.MEAS TRAN PeakI MAX I(vsense) FROM=300us TO=302us

* Leakage current of module during active mode
.MEAS TRAN ILeak AVG I(vdd) FROM=1us TO=1.5us

* energy for powering on
* benefit
.MEAS TRAN tbenefit WHEN I(vdd)="ILeak" FALL=1 TD=300us
.MEAS TRAN Ibenefit INTEG I(vdd) FROM=300us TO=tbenefit
.MEAS E_on_benefit Param='-IBenefit*1.2'
*penalty
.MEAS TRAN ton WHEN I(vdd)="1.05*ILeak" RISE=1 TD=300us
.MEAS TRAN Ipenalty INTEG I(vdd) FROM=tbenefit TO=ton
.MEAS E_on_penalty PARAM='-Ipenalty*1.2'

* energy during powering-off
.MEAS toff WHEN I(vdd)="ILeak*0.05" RISE=1 TD=2us
.MEAS TRAN Ioff INTEG I(vdd) FROM=2us TO=toff
.MEAS E_off PARAM='-Ioff*1.2'



******************************
*** supply voltage and VSS ***
******************************

vdd vdd 0 1.2
vss vss 0 0


******************************
*********** circuit **********
******************************

.include switch_chain.sp
.include circuit.sp

*original! line below
vin_nsleepin0 nsleepin0 0 pulse 0 1.0 0 250p 250p 2u 300u
*vin_nsleepin1 nsleepin1 0 pulse 0.1 1.0 0 250p 250p 2u 300u
*vin_nsleepin0 nsleepin0 0 pulse 0 1.0 0 250p 250p 2u 5u

.END
