%% plot graphs for the usage of certain units over time
  
  % define observed units
%  units = {'fu_is1_mul' 'is2' 'fu_vec' 'fu_vec2' 'vis'};
%  units_alias = {'fu\_is1\_mul' 'IS2' 'fu\_vec' 'fu\_vec2' 'VIS'};
  
  units = {'fu_is1_mul' 'fu_vec2' 'vis'};
  units_alias = {'mul' 'vec' 'VIS'};

  % define observed states
  %states = {'acq_noise' 'acq_coarse' 'acq_del_comp_coarse' 'acq_fine' 'acq_sfd' 'acq_psdu' 'complete'};
  %states_alias = {'ACQ\_NOISE' 'ACQ\_COARSE' 'ACQ\_DEL\_COMP\_COARSE' 'ACQ\_FINE' 'ACQ\_SFD' 'ACQ\_PSDU' 'COMPLETE'};
  states = {'main'};
  states_alias = {'MAIN'};
  %states = {'complete'};
  %states_alias = {'COMPLETE'};
  
  % define test application
  test_app = 'dwt';
  test_app_alias ='DWT';
 %test_app = 'example';
  %test_app_alias = 'UWB';
  
  % dummy for plot title
  dummy = '\_';
    
 
  for i = 1:length(states)
    for j = 1:length(units)
        filename = sprintf('%s_%s_%s.dat',test_app,states{i},units{j}); 
        titlename = sprintf('%s%s%s%s%s',test_app_alias,dummy,states_alias{i},dummy,units_alias{j});
        plottitle = sprintf('%s_%s',test_app_alias,states{i});        
        usage = load (filename);
        hFig = figure(i)
        %h = axes ('ylim',[0 1]) 
        %axis([0 length(usage) 0 1])
        axis manual 
        set(hFig, 'Position', [100 100 800 200])
        axis([0 length(usage) 0 1])
        subplot(1,3,j)
        stem (usage)        
        title (titlename)
        saveas(gcf,plottitle,'pdf');
    end
  end
  